Bug 241530 - Review Request: telepathy-mission-control - Central control for Telepathy connection manager
Review Request: telepathy-mission-control - Central control for Telepathy con...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
: 241791 (view as bug list)
Depends On:
Blocks: empathy
  Show dependency treegraph
 
Reported: 2007-05-27 07:29 EDT by Sindre Pedersen Bjørdal
Modified: 2010-06-11 00:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 12:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Mock build log for telepathy-mission-control (89.93 KB, text/plain)
2007-06-02 11:07 EDT, Brian Pepple
no flags Details

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-27 07:29:38 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/telepathy-mission-control.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/telepathy-mission-control-4.22-1.fc7.src.rpm

Description: 

Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.
Comment 1 Brian Pepple 2007-05-30 13:39:03 EDT
*** Bug 241791 has been marked as a duplicate of this bug. ***
Comment 2 Peter Gordon 2007-05-30 20:47:43 EDT
I'd be happy to review this and empathy. Mock's grabbing some build roots now;
and I'll post a full review shortly. Thanks.
Comment 3 Peter Gordon 2007-06-01 22:50:55 EDT
The spec looks quite sane, but I can't get it to build in mock (development/x86_64):

generating symbol list for `libmissioncontrol-config.la'
/usr/bin/nm -B  .libs/libmissioncontrol_config_la-mc.o
.libs/libmissioncontrol_config_la-mc-manager.o
.libs/libmissioncontrol_config_la-mc-protocol.o
.libs/libmissioncontrol_config_la-mc-profile.o
.libs/libmissioncontrol_config_la-mc-account.o
.libs/libmissioncontrol_config_la-mc-account-monitor.o
.libs/libmissioncontrol_config_la-mc-enum-types.o  | sed -n -e 's/^.*[    
]\([ABCDGIRSTW][ABCDGIRSTW]*\)[  ][      ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2
\2/p' | /bin/sed 's/.* //' | sort | uniq > .libs/libmissioncontrol-config.exp
/bin/grep -E -e "^mc_" ".libs/libmissioncontrol-config.exp" >
".libs/libmissioncontrol-config.expT"
mv -f ".libs/libmissioncontrol-config.expT" ".libs/libmissioncontrol-config.exp"
echo "{ global:" > .libs/libmissioncontrol-config.ver
 cat .libs/libmissioncontrol-config.exp | sed -e "s/\(.*\)/\1;/" >>
.libs/libmissioncontrol-config.ver
 echo "local: *; };" >> .libs/libmissioncontrol-config.ver
 gcc -shared  .libs/libmissioncontrol_config_la-mc.o
.libs/libmissioncontrol_config_la-mc-manager.o
.libs/libmissioncontrol_config_la-mc-protocol.o
.libs/libmissioncontrol_config_la-mc-profile.o
.libs/libmissioncontrol_config_la-mc-account.o
.libs/libmissioncontrol_config_la-mc-account-monitor.o
.libs/libmissioncontrol_config_la-mc-enum-types.o  -lgconf-2 -lORBit-2
-lgthread-2.0 -lrt -L/lib64 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 
-pthread -m64 -mtune=generic -pthread -Wl,-soname
-Wl,libmissioncontrol-config.so.0 -Wl,-version-script
-Wl,.libs/libmissioncontrol-config.ver -o .libs/libmissioncontrol-config.so.0.0.0
/usr/bin/ld: cannot find -lgthread-2.0
collect2: ld returned 1 exit status
make[3]: *** [libmissioncontrol-config.la] Error 1
make[3]: Leaving directory
`/builddir/build/BUILD/telepathy-mission-control-4.22/libmissioncontrol'
make[2]: *** [all] Error 2
make[2]: Leaving directory
`/builddir/build/BUILD/telepathy-mission-control-4.22/libmissioncontrol'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/telepathy-mission-control-4.22'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.99829 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.99829 (%build)

Error building package from telepathy-mission-control-4.22-1.fc8.src.rpm, See
build log
ending

At first it looked like a simply missing library dependency, so I tried adding
gib2-devel to the BuildRequires but it still gives me the same error. (Odd
though - it works through a non-chrooted rpmbuild invocation...)
Comment 4 Brian Pepple 2007-06-02 11:06:22 EDT
MD5Sums:
aa8a8264c596c666f886f85356b56e09  telepathy-mission-control-4.22.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Builds fine in mock for devel-i386.  see attached build log.
* rpmlint produces no errors.
* package installs cleanly on F7.

Bad:
 * Missing requires on libtelepathy-devel, dbus-devel, and dbus-glib-devel for
the -devel subpackage.

To help finding requires necessary for the -devel subpackage in the future try
doing something like this:
LANG=C grep 'include ' `rpm -ql telepathy-mission-control-devel` | grep -v
Binary | sed -e 's|^.*:||' | sed -e 's|^[ \t][ \t]*||' | sort | uniq

or this:
rpm -ql telepathy-mission-control-devel | grep '/usr/lib/pkgconfig/.*.pc' |
xargs cat | grep Requires


+1 APPROVED, fix the requires on the -devel package before importing into CVS.
Comment 5 Brian Pepple 2007-06-02 11:07:12 EDT
Created attachment 155984 [details]
Mock build log for telepathy-mission-control
Comment 6 Sindre Pedersen Bjørdal 2007-06-02 13:20:34 EDT
New Package CVS Request
=======================
Package Name: telepathy-mission-control
Short Description: Central control for Telepathy connection manager
Owners: foolish@guezz.net
Branches: F-7 FC-6
InitialCC: david@lovesunix.net
Comment 7 Tom "spot" Callaway 2007-06-02 15:01:44 EDT
cvs done
Comment 8 Peter Robinson 2010-06-10 15:54:37 EDT
Package Change Request
======================
Package Name: telepathy-mission-control
New Branches: EL-6
Owners: pbrobinson sdz
Comment 9 Kevin Fenzi 2010-06-11 00:23:35 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.